[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'SQLDB' (#fcl)

# TConnectionDef.LoadedLibraryName

Currently loaded library.

## Declaration

Source position: sqldb.pp line 818

`class function TConnectionDef.LoadedLibraryName: string; virtual;`

## Function result

Name of the currently loaded library

## Description

LoadedLibraryName must be overridden by descendents to return the filename of the currently loaded client library for this connection type. If no library is loaded, an empty string must be returned.

## See also

TLibraryLoadFunction |  | Library loading function prototype
TLibraryUnLoadFunction |  | Library unloading function prototype
TConnectionDef.LoadFunction |  | Return a function to call when the client library must be loaded
TConnectionDef.UnLoadFunction |  | Return a function to call when the client library must be unloaded
TConnectionDef.DefaultLibraryName |  | Default library name